# frozen_string_literal: true

source "https://rubygems.org"

ruby "~> 2.7"

gem "anyway_config", "~> 2.3"
gem "bootsnap", ">= 1.4.2", require: false
gem "dependabot-omnibus", "~> 0.212.0"
gem "dry-validation", "~> 1.8"
gem "faraday-retry", "~> 2.0"
gem "gitlab", "~> 4.19"
gem "graphql-client", "~> 0.18.0"
gem "lograge", "~> 0.12.0"
gem "mongoid", "~> 8.0"
gem "mongoid_rails_migrations", "~> 1.4"
gem "puma", "~> 6.0"
gem "rails", "~> 7.0.4"
gem "rails-healthcheck", "~> 1.4"
gem "rainbow", "~> 3.1"
gem "request_store", "~> 1.5"
gem "request_store-sidekiq", "~> 0.1.0"
gem "sentry-rails", "~> 5.5", require: false
gem "sentry-sidekiq", "~> 5.5", require: false
gem "sidekiq", "~> 6.5.7"
gem "sidekiq-alive-next", "~> 2.2", require: false
gem "sidekiq-cron", "~> 1.8"
gem "terminal-table", "~> 3.0"
gem "warning", "~> 1.3", require: false
gem "yabeda-prometheus-mmap", "~> 0.3.0"
gem "yabeda-puma-plugin", "~> 0.7.0"
gem "yabeda-sidekiq", "~> 0.10.0"

group :test do
  gem "airborne", "~> 0.3.7"
  gem "allure-rspec", "~> 2.18.0"
  gem "capybara", "~> 3.37"
  gem "factory_bot_rails", "~> 6.2"
  gem "faker", "~> 2.23"
  gem "httparty", "~> 0.20.0"
  gem "pry-byebug", "~> 3.10"
  gem "reek", "~> 6.1", require: false
  gem "rspec", "~> 3.12"
  gem "rspec_junit_formatter", "~> 0.6.0"
  gem "rspec-rails", "~> 6.0.1"
  gem "rspec-sidekiq", "~> 3.1", require: false
  gem "rubocop", "~> 1.37.1", require: false
  gem "rubocop-performance", "~> 1.15.0", require: false
  gem "rubocop-rails", "~> 2.17", require: false
  gem "rubocop-rspec", "~> 2.14", require: false
  gem "simplecov", "~> 0.21.2", require: false
  gem "simplecov-cobertura", "~> 2.1.0", require: false
  gem "simplecov-console", "~> 0.9.1", require: false
end

group :development do
  gem "git", "~> 1.12", require: false
  gem "pry-rails", "~> 0.3.9"
  gem "semver2", "~> 3.4", require: false
  gem "solargraph", "~> 0.47.2", require: false
  gem "spring", "~> 4.1.0", require: false
  gem "spring-commands-rspec", "~> 1.0.4", require: false
end
